## org.apache.lucene.facet.enhancements.association
Class AssociationListTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
                      org.apache.lucene.facet.index.streaming.CategoryListTokenizer
                          org.apache.lucene.facet.enhancements.association.AssociationListTokenizer

All Implemented Interfaces:
  Closeable

    public class AssociationListTokenizer

extends CategoryListTokenizer

Tokenizer for associations of a category

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`protected CategoryListPayloadStream` `payloadStream`

Fields inherited from class org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
`categoryAttribute, indexingParams, payload, payloadAttribute, termAttribute`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`AssociationListTokenizer(org.apache.lucene.analysis.TokenStream input, EnhancementsIndexingParams indexingParams, CategoryEnhancement enhancement)`

Method Summary
`protected void` `handleStartOfInput()` A method invoked once when the input stream begins, for subclass-specific processing.
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.facet.index.streaming.CategoryListTokenizer
`handleEndOfInput, reset`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### payloadStream

    protected CategoryListPayloadStream payloadStream

Constructor Detail

### AssociationListTokenizer

    public AssociationListTokenizer(org.apache.lucene.analysis.TokenStream input,
                                    EnhancementsIndexingParams indexingParams,
                                    CategoryEnhancement enhancement)

Method Detail

### handleStartOfInput

    protected void handleStartOfInput()
                               throws IOException

  Description copied from class: `CategoryListTokenizer`
  A method invoked once when the input stream begins, for subclass-specific processing. Subclass implementations must invoke this one, too!

  Overrides:
    `handleStartOfInput` in class `CategoryListTokenizer`
  Throws:
    `IOException`

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `CategoryListTokenizer`
  Throws:
    `IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.